import 'package:flutter/cupertino.dart';

class SilverNavBar extends StatelessWidget {
  final Widget child;

  const SilverNavBar({Key? key, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      child: CustomScrollView(
        slivers: <Widget>[
          const CupertinoSliverNavigationBar(
            largeTitle: Text('Home'),
            trailing: Icon(CupertinoIcons.add),
          ),
          SliverFillRemaining(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: <Widget>[
                child,
              ],
            ),
          ),
        ],
      ),
    );
  }
}
