import 'package:flutter/cupertino.dart';
import 'package:nuntio_hera/hera_app/ProfilePage/profile_avatar/profile_avatar.dart';
import '../home/profile/profile.dart';

class Home extends StatelessWidget {
  final List<Widget> _tabs = [const Profile()];

  Home({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      child: CupertinoTabScaffold(
          tabBar: CupertinoTabBar(
            activeColor: CupertinoColors.black,
            items: [
              const BottomNavigationBarItem(
                icon: Icon(
                  CupertinoIcons.chat_bubble_2,
                  size: 26,
                ),
                label: 'Chat',
              ),
              BottomNavigationBarItem(
                icon: ProfileAvatar(
                  radius: 14,
                ),
                activeIcon: ProfileAvatar(
                  borderRadius: 1,
                  radius: 14,
                ),
                label: 'Profile',
              ),
            ],
          ),
          tabBuilder: (BuildContext context, index) {
            return _tabs[index];
          }),
    );
  }
}
