import 'package:flutter/cupertino.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_app/ProfilePage/button_card/button_card.dart';
import 'package:nuntio_hera/hera_app/ProfilePage/profile_card/profile_card.dart';

class Profile extends StatelessWidget {
  const Profile({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: const CupertinoNavigationBar(
        middle: Text("Profile"),
        trailing: Icon(CupertinoIcons.person_add_solid, size: 24),
      ),
      child: SingleChildScrollView(
        child: Column(
          children: <Widget>[
            SafeArea(
              child: Padding(
                padding: const EdgeInsets.all(12.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.start,
                  children: [
                    ProfileCard(),
                    const SizedBox(height: 15),
                    ButtonCard(
                        onClick: () => {},
                        text: const Text("Edit profile",
                            style: TextStyle(color: CupertinoColors.black))),
                    const SizedBox(height: 8),
                    ButtonCard(
                        onClick: () => {},
                        text: const Text("Edit contact info",
                            style: TextStyle(color: CupertinoColors.black))),
                    const SizedBox(height: 8),
                    ButtonCard(
                        onClick: () => {
                              Hera.logout(),
                            },
                        text: const Text("Logout ",
                            style:
                                TextStyle(color: CupertinoColors.systemRed))),
                  ],
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
